Bug 12036 - arm support
: arm support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libmesa)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-06-14 16:28 by
Modified: 2008-01-06 16:09 (History)


Attachments
linux-dri-arm config (792 bytes, application/octet-stream)
2007-06-14 16:30, Kirill A. Shutemov
no flags Details
updated spec (1.39 KB, patch)
2007-06-14 16:32, Kirill A. Shutemov
no flags Details | Diff
fixed spec (1.39 KB, patch)
2007-06-14 17:36, Kirill A. Shutemov
no flags Details | Diff
Обновлённый Mesa-7.0.2-alt-make.patch. (5.52 KB, patch)
2008-01-05 03:08, Kirill A. Shutemov
no flags Details | Diff
Патч на spec (1.04 KB, patch)
2008-01-05 03:09, Kirill A. Shutemov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-14 16:28:20
linux-dri-arm config -- without sis driver
------- Comment #1 From 2007-06-14 16:30:12 -------
Created an attachment (id=2020) [details]
linux-dri-arm config
------- Comment #2 From 2007-06-14 16:32:28 -------
Created an attachment (id=2021) [details]
updated spec 
------- Comment #3 From 2007-06-14 17:31:46 -------
(In reply to comment #2)
> Created an attachment (id=2021) [edit] [details]
> updated spec 

>+%ifarch %arm
> %package -n xorg-x11-dri-sis

А тут не %ifnarch ли должно быть случаем?

------- Comment #4 From 2007-06-14 17:35:04 -------
действительно, ошибся
------- Comment #5 From 2007-06-14 17:36:10 -------
Created an attachment (id=2022) [details]
fixed spec
------- Comment #6 From 2007-06-18 22:48:27 -------
Валер, удружи хорошему человеку :-)
------- Comment #7 From 2007-06-18 23:51:01 -------
я уже высказал свою позицию - когда arm будет официально поддерживаемой 
платформой, тогда и будем о
------- Comment #8 From 2007-06-19 00:08:07 -------
(In reply to comment #7)
> я уже высказал свою позицию - когда arm будет официально поддерживаемой 
> платформой, тогда и будем о

Валер, а что мешает приложить последний патч ?

А вот развить arm это, как я понимаю, мешает т.к. разницу между arm-бранчем и
сизифом трудно поддерживать (в своё время mouse намаялся с этим).

------- Comment #9 From 2007-06-19 00:19:11 -------
мешает то что его придется поддерживать, пока не знаю с какой целью.
у меня вроде тоже есть arm
# cat /proc/cpuinfo
Processor       : Intel StrongARM-1110 rev 9 (v4l)
BogoMIPS        : 137.21
Features        : swp half 26bit fastmult
CPU implementor : 0x69
CPU architecture: 4
CPU variant     : 0x0
CPU part        : 0xb11
CPU revision    : 9

Hardware        : Sharp-Collie
Revision        : 0000
Serial          : 0000000000000000

но вот сизиф я на нем представить не могу
------- Comment #10 From 2007-06-19 00:22:51 -------
Валера, кстати, я тут подумал:
sis сейчас соберёться только для x86 и x86_64 из-за вот этого в sis_context.h:
#if defined(__i386__) || defined(__amd64__)
#define MMIO_WMB()  __asm __volatile("" : : : "memory")
#else
#error platform needs WMB
#endif

можно дропнуть sis из DRI_DIRS в configs/linux-dri. Для x86 и x86_64 всё равно
используются отдельные кофиги.
Такой подход позволит сократить издержки на поддержание до патча на одну строку.
Все ifarch'и из spec'а можно выкинуть. По моему, приемлимо. Возражения?
------- Comment #11 From 2007-06-19 00:31:32 -------
># cat /proc/cpuinfo
>Processor       : Intel StrongARM-1110 rev 9 (v4l)
>BogoMIPS        : 137.21
>Features        : swp half 26bit fastmult
>CPU implementor : 0x69
>CPU architecture: 4
>CPU variant     : 0x0
>CPU part        : 0xb11
>CPU revision    : 9# cat /proc/cpuinfo
Processor       : Intel StrongARM-1110 rev 9 (v4l)
BogoMIPS        : 137.21
Features        : swp half 26bit fastmult
CPU implementor : 0x69
CPU architecture: 4
CPU variant     : 0x0
CPU part        : 0xb11
CPU revision    : 9

Hardware        : Sharp-Collie
Revision        : 0000
Serial          : 0000000000000000

но вот сизиф я на нем представить не могу
>
>Hardware        : Sharp-Collie
>Revision        : 0000
>Serial          : 0000000000000000
>
>но вот сизиф я на нем представить не могу
А сколько там памяти?
------- Comment #12 From 2007-06-19 09:37:00 -------
64М, но дело там не в памяти, железка сильно специфическая
------- Comment #13 From 2007-06-19 10:17:15 -------
Ну, если ethernet и консолька есть то с nfsroot'ом завести можно
------- Comment #14 From 2008-01-05 03:08:23 -------
Created an attachment (id=2355) [details]
Обновлённый Mesa-7.0.2-alt-make.patch.

Исправляет сборку на arm и, потенциально, на других не x86(_64) арихтетурах.
------- Comment #15 From 2008-01-05 03:09:49 -------
Created an attachment (id=2356) [details]
Патч на spec

оборачивает в %ifarch всё что нужно
------- Comment #16 From 2008-01-05 13:28:29 -------
7.0.2-alt6